# Method: accounts.clients.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.ListClientsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#try-it)

Lists all the clients for the current sponsor buyer.

### HTTP request

`GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/clients`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Unique numerical account ID of the sponsor buyer to list the clients for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The server may return fewer clients than requested. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.ListClientsResponse.FIELDS.next_page_token` returned from the previous call to the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#google.ads.adexchange.buyer.v2beta1.ClientService.ListClients` method. |
| `partnerClientId` | `string` Optional unique identifier (from the standpoint of an Ad Exchange sponsor buyer partner) of the client to return. If specified, at most one client will be returned in the response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "clients": [ { object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients#Client`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `clients[]` | ``object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients#Client`)`` The returned list of clients. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients/list#google.ads.adexchange.buyer.v2beta1.ClientService.ListClients` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`